package emps;

import java.util.List;

public class P6_Sortowanie_v3 {

	// W tej wersji komparator tworzę za pomocą wyrażenia lambda. Dostępne od Java 8.
	public static void main(String[] args) {
		List<Employee> emps = ObslugaCSV.wczytaj();
		emps.sort((emp1, emp2) -> emp2.getSalary() - emp1.getSalary());
		
		for(Employee emp : emps) {
			System.out.printf("|%-12s|%-15s|%-31s|%6d |%-20s|\n",
					emp.getFirstName(), emp.getLastName(), emp.getJobTitle(), emp.getSalary(), emp.getCity());
		}
	}

}
